:root {
  --bg: #ffffff;
  --fg: #000000;
  --link: #3548cf;
  --link-visited: #8f0075;
}

@media (prefers-color-scheme: dark) {
  :root {
    --bg: #000000;
    --fg: #ffffff;
    --link: #79a8ff;
    --link-visited: #f78fe7;
  }
}

html {
  height: 100%;
}

body {
  background-color: var(--bg);
  color: var(--fg);
  font-family: monospace;
  font-size: 16px;
  line-height: 1.4;
  margin: 0;
  min-height: 100%;
  overflow-wrap: break-word;
}

a {
  color: var(--link);
  text-decoration: none;
}
a:visited {
  color: var(--link-visited);
}
a:hover {
  text-decoration: underline;
}

p {
  margin: 1rem 0;
}

li {
  margin: 0.4rem 0;
}

.w {
  max-width: 640px;
  margin: 0 auto;
  padding: 4rem 2rem;
}
